# PhysicalTextReader

[This is preliminary documentation and subject to change.]

Represents a physical TextReader. That is a reader based on a stream.

Used by ChainableReader to represent a Filter based on a TextReader in the chain.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
if | bool | If true then the filter will be used; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the filter will be executed; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.85.1932.0)